# Poll - docs

docs / com.github.insanusmokrassar.TelegramBotAPI.types.polls / Poll

# Poll

(common) `sealed class Poll` (source)

### Properties

(common)

#### id

`abstract val id: PollIdentifier`

(common)

#### isAnonymous

`abstract val isAnonymous: Boolean`

(common)

#### isClosed

`abstract val isClosed: Boolean`

(common)

#### options

`abstract val options: List<PollOption>`

(common)

#### question

`abstract val question: String`

(common)

#### scheduledCloseInfo

`abstract val scheduledCloseInfo: ScheduledCloseInfo?`

(common)

#### votesCount

`abstract val votesCount: Int`

### Extension Functions

(common)

#### createRequest

`fun Poll.createRequest(chatId: ChatIdentifier, disableNotification: Boolean = false, replyToMessageId: MessageIdentifier? = null, replyMarkup: KeyboardMarkup? = null): SendPoll`

### Inheritors

(common)

#### MultipleAnswersPoll

`sealed class MultipleAnswersPoll : Poll`

(common)

#### QuizPoll

`data class QuizPoll : Poll, CaptionedInput, ExplainedInput`

(common)

#### UnknownPollType

`data class UnknownPollType : Poll`